Market Snapshot (Real-Time)
curl --request GET \
--url https://api.financialdatasets.ai/prices/snapshot/market \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.financialdatasets.ai/prices/snapshot/market"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.financialdatasets.ai/prices/snapshot/market', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshots": [
{
"price": 123,
"ticker": "<string>",
"day_change": 123,
"day_change_percent": 123,
"time": "<string>",
"time_milliseconds": 123
}
]
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}Stock Prices
Market Snapshot
Get a real-time price snapshot for every actively traded US stock in a single request.
GET
/
prices
/
snapshot
/
market
Market Snapshot (Real-Time)
Overview
The Market Snapshot API returns real-time prices for the entire US market in a single call. Each snapshot includes the current price, day change, and day change percent. Requires an active subscription.Coverage
| Tickers | Years of Coverage | Updated |
|---|---|---|
| 13,000+ | Latest | Real-time |
Available Tickers
You can fetch a list of available tickers with aGET request to:
https://api.financialdatasets.ai/prices/snapshot/tickers/
Getting Started
- Add your API key to the header of the request as
X-API-KEY. - Execute the API request. No query parameters are needed.
Example
Market Snapshot
import requests
headers = {
"X-API-KEY": "your_api_key_here"
}
url = "https://api.financialdatasets.ai/prices/snapshot/market"
response = requests.get(url, headers=headers)
snapshots = response.json().get("snapshots")
Example Response
{
"snapshots": [
{
"ticker": "BIRD",
"price": 15.26,
"day_change": 12.77,
"day_change_percent": 512.85,
"time": "2026-04-15T22:06:27Z",
"time_milliseconds": 1776290787600
},
{
"ticker": "BDRX",
"price": 3.29,
"day_change": 0.04,
"day_change_percent": 1.23,
"time": "2026-04-15T22:06:25Z",
"time_milliseconds": 1776290785553
},
{
"ticker": "SKYQ",
"price": 11.05,
"day_change": 1.85,
"day_change_percent": 20.11,
"time": "2026-04-15T22:06:25Z",
"time_milliseconds": 1776290785498
},
...
]
}
⌘I